using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Collections;
using System.Web.Mvc;


namespace Repositorio.Entidades
{
  public  class Participante
    {
            public Participante()
            {
                Ativo = true;
            }


        public int ParticipanteID { get; set; }
        [Required(ErrorMessage = "O Nome é de preenchimento obrigatório!")]
        [Display(Name = "Nome do Participante")]
        public string Nome { get; set; }
        [Required(ErrorMessage = "O email é obrigatório!")]
        [DataType(DataType.EmailAddress)]
        public string Email { get; set; }
        [Required(ErrorMessage = "O CPF é obrigatório!")]
        public string CPF { get; set; }
        [Required(ErrorMessage = "O telefone deve ser informado.!")]
        [DataType(DataType.PhoneNumber, ErrorMessage = "Forneça o número do telefone no formato (000) 0000-0000")]
        [Display(Name = "Telefone(Comercial)")]
        public string Telefone { get; set; }

        [DataType(DataType.PhoneNumber, ErrorMessage = "Forneça o número o celular no formato (000) 00000-0000")]
        [Display(Name = "Telefone(Celular)")]
        public string Celular { get; set; }

        [Required(ErrorMessage = "O campo Data de Nascimento é obrigatório!")]
        [DisplayFormat(DataFormatString = "{0:dd/MM/yyyy}")]
        [Display(Name = "Data de Nascimento")]
        public DateTime DtNasc { get; set; }

         [Required(ErrorMessage = "O campo Empresa é obrigatório!")]
         [Display(Name = "Empresa")]
        public string Empresa { get; set; }

         [Required(ErrorMessage = "O campo Departamento é obrigatório!")]
         [Display(Name = "Departamento")]
         public string Departamento { get; set; }

         [Required(ErrorMessage = "O campo Cargo é obrigatório!")]
         [Display(Name = "Cargo")]
         public string Cargo { get; set; }

         [Display(Name = "Ramal")]
         public string Ramal { get; set; }
        
        public Boolean Ativo { get; set; } 

       public IEnumerable<SelectListItem> SelectedEventos { get; set; }



    }
}
